# Technology

Models can elucidate the role and value of technologies within the energy system and give modellers an indication for the optimal investment across a time horizon.

Examples of technologies include: Coal, Nuclear, Onshore Wind, Offshore Wind and Solar PV. Each technology is represented as a physical power plant in models.

Technologies have a set of properties that describe, for example, their capital or operational costs, their thermal efficiency, or emissions factors. Forward-looking views of these parameters are called projections.

To access data for technologies and their projections, you can use this [Jupyter Notebook on Github](https://github.com/transition-zero/feo-client-examples/blob/main/feo-client-examples/2_technology_projections.ipynb).


## ::: feo.client.technology.Technology
    handler: python
