# Assets

Asset level data for power units can be accessed on the FEO platform through the [Python Client](https://github.com/transition-zero/feo-client) and [API](https://api.feo.transitionzero.org/latest/docs).

This data is compiled from various sources to create a global dataset of power plant units.

## Sources

We currently combine <a href="https://globalenergymonitor.org/" target="_blank">Global Energy Monitor’s</a> plant trackers for different fuels including <a href="https://globalenergymonitor.org/projects/global-coal-plant-tracker/" target="_blank">Global Coal Plant Tracker</a>, <a href="https://globalenergymonitor.org/projects/global-coal-plant-tracker/" target="_blank">Global Gas and Oil Plant Tracker</a>, <a href="https://globalenergymonitor.org/projects/global-solar-power-tracker/" target="_blank">Global Solar Power Tracker</a>, <a href="https://globalenergymonitor.org/projects/global-wind-power-tracker/" target="_blank">Global Wind Power Tracker</a>, <a href="https://globalenergymonitor.org/projects/global-hydropower-tracker/" target="_blank">Global Hydropower Power Tracker</a>, <a href="https://globalenergymonitor.org/projects/global-geothermal-power-tracker/" target="_blank">Global Geothermal Power Tracker</a>, <a href="https://globalenergymonitor.org/projects/global-bioenergy-power-tracker/" target="_blank">Global Bioenergy Power Tracker</a>, and <a href="https://globalenergymonitor.org/projects/global-nuclear-power-tracker/" target="_blank">Global Nuclear Power Tracker</a>.

## Methodology

The power unit asset-level data is regularly ingested from its primary sources. It is then cleaned and matched to other datasets we are hosting, including, for example, unit-level generation data.

Please contact [power-data-team@transitionzero.org](mailto:power-data-team@transitionzero.org) for any questions regarding this data.
