# Home

## Overview

This documentation site is designed to facilitate easy access and understanding of the data available through TransitionZero’s Future Energy Outlook Python Client and API.

## Purpose

The Python Client and API have been crafted for energy systems modellers seeking access to data for nodes, assets, technologies, as well as the data supporting models and scenarios published by <a href="https://www.transitionzero.org/" target="_blank">TransitionZero</a>.

## Audience

Our users include governments, think tanks, and academics, as well as the commercial sector—asset owners, corporations, and individuals in the financial services sector. Whether you're involved in developing state-of-the-art energy systems models or are just in need of programmatic access to energy systems data.

## Results Viewer

For non-programmatic users, our <a href="https://feo.transitionzero.org/" target="_blank">Results Viewer</a> tool allows access to data for published scenarios, downloadable as Excel.

## Licensing

Access to the data is free under the <a href="https://creativecommons.org/licenses/by-nc/4.0/deed.en" target="_blank">Creative Commons 4.0 License: CC-BY-NC</a>, while the Python client and tutorial notebooks licensed under the <a href="https://github.com/transition-zero/feo-client-examples/blob/main/LICENSE" target="_blank">Apache License, Version 2.0</a>.

## Get in Touch!

We're here to help! If you encounter challenges or have questions, feel free to reach out to us via email at <a href="mailto:support@transitionzero.org" target="_blank">support@transitionzero.org</a>.
